/**
 ****************************************************************************************
 *
 * @file rwble_mem_cont.h
 *
 * @brief This file contains the external definitions of the global value.
 * They are related to the ble_connection_max value.
 *
 * Copyright(C) 2012-2014 Renesas Electronics Corporation
 *
 ****************************************************************************************
 */

#ifndef _RWBLE_MEM_CONT_H_
#define _RWBLE_MEM_CONT_H_

/**
 ****************************************************************************************
 * @addtogroup RWBLE_MEM_CONTROLLER
 * @ingroup RWBLE_MEM
 * @{
 ****************************************************************************************
 */

/*
 * INCLUDE FILES
 ****************************************************************************************
 */

/*
 * GLOBAL VARIABLE DEFINITIONS
 ****************************************************************************************
 */
extern uint8_t  ble_whitelist_max;          // BLE_WHITELIST_MAX
extern uint16_t co_buf_tx_data;             // CO_BUF_TX_DATA
extern uint16_t co_buf_tx_cntl;             // CO_BUF_TX_CNTL
//extern uint8_t  llc_idx_max;                // LLC_IDX_MAX
extern uint8_t  lld_adv_hdl;                // LLD_ADV_HDL
extern uint8_t  lld_evt_tab_size;           // LLD_EVT_TAB_SIZE
extern uint8_t  co_buf_tx_cnt;              // CO_BUF_TX_CNT
extern uint8_t  llc_le_cntl_pkt_base_idx;   // LLC_LE_CNTL_PKT_BASE_IDX

/// Exchange Memory Offset Address value
extern uint16_t em_ble_cs_count;            // EM_BLE_CS_COUNT
extern uint16_t em_ble_txe_count;           // EM_BLE_TXE_COUNT
extern uint16_t em_ble_wpb_offset;          // EM_BLE_WPB_OFFSET
extern uint16_t em_ble_wpv_offset;          // EM_BLE_WPV_OFFSET
extern uint16_t em_ble_tx_offset;           // EM_BLE_TX_OFFSET
extern uint16_t em_ble_rx_offset;           // EM_BLE_RX_OFFSET
extern uint16_t em_ble_txe_offset;          // EM_BLE_TXE_OFFSET
extern uint16_t em_ble_rf_spi_offset;       // EM_BLE_RF_SPI_OFFSET

/// Exchange Memory Access Address value
extern uint16_t ble_wlpub_addr;             // BLE_WLPUB_ADDR
extern uint16_t ble_wlprv_addr;             // BLE_WLPRV_ADDR
extern uint16_t ble_txcntl_addr;            // BLE_TXCNTL_ADDR
extern uint16_t ble_txecntl_addr;           // BLE_TXECNTL_ADDR
extern uint16_t ble_txphce_addr;            // BLE_TXPHCE_ADDR
extern uint16_t ble_txephce_addr;           // BLE_TXEPHCE_ADDR
//extern uint16_t ble_txphadv_addr;  // BLE_TXPHADV_ADDR
//extern uint16_t ble_txbuf_addr;    // BLE_TXBUF_ADDR
extern uint16_t ble_rxcntl_addr;            // BLE_RXCNTL_ADDR
extern uint16_t ble_rxstat_addr;            // BLE_RXSTAT_ADDR
//extern uint16_t ble_rxphce_addr;   // BLE_RXPHCE_ADDR
//extern uint16_t ble_rxphadv_addr;  // BLE_RXPHADV_ADDR
//extern uint16_t ble_rxchass_addr;  // BLE_RXCHASS_ADDR
//extern uint16_t ble_rxbuf_addr;    // BLE_RXBUF_ADDR

/*
 * FUNCTION DECLARATIONS
 ****************************************************************************************
 */


/// @} RWBLE_MEM_CONTROLLER

#endif /* _RWBLE_MEM_CONT_H_ */
